Tryton - Issues

 

Issue8475

Title Set Focus on writable field instead of on a readonly field
Priority bug Status resolved
Superseder Nosy List ced, mrichez, oqueralto, reviewbot, roundup-bot
Type behavior Components sao, tryton
Assigned To ced Keywords review
Reviews 277751002
View: 277751002

Created on 2019-07-05.11:35:54 by mrichez, last changed by ced.

Files
File name Uploaded Type Edit Remove
Sélection_020.png mrichez, 2019-07-05.11:35:54 image/png
Messages
msg51772 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-09-10.09:34:31
No, it does not have the backport keyword.
msg51771 (view) Author: [hidden] (oqueralto) Date: 2019-09-10.09:32:30
First of all, thanks for fixing it.
Secondly, will it be backported to '5.2' branch?
New changeset a4cd0821c419 by Cédric Krier in branch 'default':
Do not consider readonly/non editable widget as focusable
https://hg.tryton.org/tryton-env/rev/a4cd0821c419
New changeset bc3a778ceedd by Cédric Krier in branch 'default':
Do not consider readonly/non editable widget as focusable
https://hg.tryton.org/tryton/rev/bc3a778ceedd
New changeset 71f5cc872eb0 by Cédric Krier in branch 'default':
Do not consider readonly/non editable widget as focusable
https://hg.tryton.org/sao/rev/71f5cc872eb0
review277751002 updated at https://codereview.tryton.org/277751002/#ps262031003
msg51456 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-08-24.09:35:28
Here is review277751002 which prevents to set the focus on readonly/non editable widget.
msg50515 (view) Author: [hidden] (mrichez) Date: 2019-07-05.11:35:54
Just noticed when adding a new record on a form with a readonly field as first field, focus is set on this readonly field. So user has to tab to first "writable " field... For instance on Incoming Move, From Location and To Location fields are readonly, but when opening the form, focus is set on the From Location field. It would be better to start on Product field which is the first field not readonly... (it was a previous behaviour) 
On some models, behaviour wished is correct (Supplier invoices)
History
Date User Action Args
2019-09-10 09:34:31cedsetstatus: chatting -> resolved
messages: + msg51772
2019-09-10 09:32:30oqueraltosetstatus: resolved -> chatting
nosy: + oqueralto
messages: + msg51771
2019-09-02 18:28:41roundup-botsetmessages: + msg51634
2019-09-02 18:28:40roundup-botsetmessages: + msg51633
2019-09-02 18:28:36roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg51632
2019-08-24 09:59:48reviewbotsetnosy: + reviewbot
messages: + msg51458
2019-08-24 09:35:28cedsetstatus: unread -> testing
messages: + msg51456
keyword: + review
nosy: + ced
component: + sao
reviews: 277751002
assignedto: ced
2019-07-05 14:52:50mrichezsettitle: Set Focus on writable field instead on a readonly field -> Set Focus on writable field instead of on a readonly field
2019-07-05 12:27:56mrichezsetpriority: feature -> bug
2019-07-05 12:27:38mrichezsetpriority: bug -> feature

Showing 10 items. Show all history (warning: this could be VERY long)